# SLikeNet: Source/include/slikenet/ThreadsafePacketLogger.h File Reference

SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
ThreadsafePacketLogger.h File Reference

Derivation of the packet logger to defer the call to WriteLog until the user thread. More...

`#include "NativeFeatureIncludes.h"`
`#include "PacketLogger.h"`
`#include "SingleProducerConsumer.h"`

Go to the source code of this file.

## Classes

class | SLNet::ThreadsafePacketLogger
| Same as PacketLogger, but writes output in the user thread. More...

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

Derivation of the packet logger to defer the call to WriteLog until the user thread.

Definition in file ThreadsafePacketLogger.h.